Package Details: libfprint-goodixtls-55x4 r1802.6e4fdc0-1

Git Clone URL: https://aur.archlinux.org/libfprint-goodixtls-55x4.git (read-only, click to copy)
Package Base: libfprint-goodixtls-55x4
Description: libfprint fork for goodixtls 55x4 devices. Currently supports 55b4 but 55a4 will be added later. Note you will need to flash your device with [goodix-fp-dump](https://github.com/mpi3d/goodix-fp-dump) to use this
Upstream URL: None
Licenses: LGPL2
Conflicts: libfprint
Provides: libfprint, libfprint-2.so
Submitter: alireza6677
Maintainer: alireza6677
Last Packager: alireza6677
Votes: 2
Popularity: 0.51
First Submitted: 2022-11-11 08:09 (UTC)
Last Updated: 2023-11-15 05:35 (UTC)

Dependencies (13)

Required by (3)

Sources (1)

Latest Comments

1 2 Next › Last »

sidevesh commented on 2024-03-14 04:15 (UTC)

This needs cmake to be added to make deps

alireza6677 commented on 2024-01-13 16:51 (UTC)

There is a way to hook when opencv upgrades and run some commands, but for rebuilding the package it requires depending on an AUR package manager (yay, paru, etc...) which is weird and I haven't seen other packages do it. It might be better just to show a warning message and let users do what they want. In general, you should rebuild all of your AUR packages when any of their dependencies change.

niksingh710 commented on 2024-01-13 16:41 (UTC)

would it be possible to have a hook for that?

niksingh710 commented on 2024-01-13 16:41 (UTC)

worked mate after rebuilding. Thanks.

alireza6677 commented on 2024-01-13 16:40 (UTC) (edited on 2024-01-13 16:40 (UTC) by alireza6677)

@niksingh710 You need to rebuild the package each time the dependencies are updated. By rebuilding, it will use the latest version of opencv that is available on your system.

niksingh710 commented on 2024-01-12 17:16 (UTC)

recently opencv got updated to 4.9 and libopencv_features2d.so.408 is not available in it and only available in 4.8.1-4.

angelodalzotto commented on 2023-11-18 22:39 (UTC) (edited on 2023-12-09 14:06 (UTC) by angelodalzotto)

I am having trouble to build due to missing doctest. I've tried installing manually, but no success.

../libfprint/sigfm/meson.build:5:10: ERROR: Dependency "doctest" not found, tried pkgconfig

fsmv commented on 2023-07-07 03:58 (UTC)

In case anyone else has the same problem:

My Gnome login screen (gdm) was being slow to load and not showing any users on the login screen. I had to uninstall and recompile this package to get it to work again. I think it had something to do with an opencv library change.

alireza6677 commented on 2023-03-02 08:45 (UTC)

Thanks @fsmv. Applied it.